> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Prop Trader Payout Preference

> Sets the calling trader's own payout destination: a bank account or a verified stablecoin wallet route.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/set-prop-trader-payout-preference
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/set-prop-trader-payout-preference:
    post:
      operationId: setPropTraderPayoutPreference
      summary: Set Prop Trader Payout Preference
      description: >-
        Sets the calling trader's own payout destination: a bank account or a
        verified stablecoin wallet route.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetPropTraderPayoutPreferenceRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetPropTraderPayoutPreferenceResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SetPropTraderPayoutPreferenceRequest:
      oneOf:
        - $ref: >-
            #/components/schemas/SetPropTraderPayoutPreferenceBankTransferRequest
        - $ref: >-
            #/components/schemas/SetPropTraderPayoutPreferenceCryptoWalletRequest
      discriminator:
        propertyName: method
        mapping:
          BANK_TRANSFER: >-
            #/components/schemas/SetPropTraderPayoutPreferenceBankTransferRequest
          CRYPTO_WALLET: >-
            #/components/schemas/SetPropTraderPayoutPreferenceCryptoWalletRequest
    SetPropTraderPayoutPreferenceBankTransferRequest:
      type: object
      properties:
        method:
          const: BANK_TRANSFER
        bankAccountID:
          type: string
          format: uuid
        onboardingCompletion:
          const: true
      required:
        - method
    SetPropTraderPayoutPreferenceCryptoWalletRequest:
      type: object
      properties:
        method:
          const: CRYPTO_WALLET
        tokenTypeID:
          type: string
          format: uuid
        orgNetworkID:
          type: string
          format: uuid
        onboardingCompletion:
          const: true
      required:
        - method
        - tokenTypeID
        - orgNetworkID
    SetPropTraderPayoutPreferenceResponse:
      type: object
      properties:
        method:
          type: string
          enum:
            - BANK_TRANSFER
            - CRYPTO_WALLET
        cryptoTokenTypeID:
          type:
            - string
            - 'null'
        cryptoOrgNetworkID:
          type:
            - string
            - 'null'
        bankAccountID:
          type:
            - string
            - 'null'
        updatedAt:
          type: string
      required:
        - method
        - cryptoTokenTypeID
        - cryptoOrgNetworkID
        - bankAccountID
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
